%global momorel 2

Summary: UIM is an input method library
Name: uim
Version: 0.4.5.1
Release: %{momorel}m
URL: http://uim.freedesktop.org/
Source0: http://uim.freedesktop.org/releases/%{name}-%{version}.tar.gz
Source1: http://prime.sourceforge.jp/src/prime_2004-12-13.scm

# from Vine packages
Source10: uim-0.4.5-ja.po
Patch10: uim-0.4.4.1-kanji-key.patch

NoSource: 0
License: GPL or BSD
Group: Applications/System
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Conflicts: kinput2-wnn4
BuildPreReq: gtk+-devel >= 2.4.0, libbonobo-devel, perl-XML-Parser
BuildPreReq: ncurses-c++-devel, libgnome-devel, gnome-panel-devel
BuildPreReq: libxfcegui4-devel
BuildPreReq: gcc-c++ >= 3.4.1-1m
BuildPreReq: Canna-devel
PreReq: gtk+ >= 2.4.0

%description
The uim is a collection of input method for a lot of languages.

%package applet
Summary: IM applet for uim using gnome2.
Group: User Interface/X
Requires: gtk+ >= 2.4.0, libbonobo >= 2.2.0
Requires: %{name} = %{version}

%description applet
Control applet using gnome2.

%package xim
Summary: XIM frontend for UIM
Group: User Interface/X
Requires: %{name} = %{version}-%{release}

%description xim
uim-xim is a XIM bridge of libuim.

%package fep
Summary: an Input Method for console
Group: Applications/System
Requires: %{name} = %{version}-%{release}

%description fep
uim-fep is a FEP (Front End Processer) using uim as backend.

%package devel
Summary: Headers of uim for development.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
uim-devel package contains the header files and static libraries to
develop a libuim applications.

%prep
%setup -q
%patch10 -p1 -b .kanjikey
cp -f %{SOURCE10} po/ja.po

%build
%configure
%make

%install
rm -rf %{buildroot}
%makeinstall

mkdir -p %{buildroot}%{_sysconfdir}/X11/xinit/xim.d
cat > %{buildroot}%{_sysconfdir}/X11/xinit/xim.d/uim << EOF
NAME="UIM/default"
IM_EXEC="uim-xim"
XMODIFIERS=@im=uim
GTK_IM_MODULE=uim
QT_IM_MODULE=uim
export IM_EXEC XMODIFIERS GTK_IM_MODULE QT_IM_MODULE
EOF

# overwrite prime.scm
install -m 644 %{SOURCE1} %{buildroot}%{_datadir}/uim/prime.scm

%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig
gtk-query-immodules-2.0 > /etc/gtk-2.0/gtk.immodules

%postun
/sbin/ldconfig
if [ $1 = 0 ]; then
   gtk-query-immodules-2.0 > /etc/gtk-2.0/gtk.immodules
fi

%files
%defattr(-,root,root)
%doc README* ChangeLog INSTALL* AUTHORS COPYING
%{_bindir}/uim-sh
%{_bindir}/uim-helper-server
%{_bindir}/uim-toolbar-gtk
%{_bindir}/uim-helper-toolbar-gtk
%{_bindir}/uim-toolbar-gtk-systray
%{_bindir}/uim-helper-toolbar-gtk-systray
%{_bindir}/uim-im-switcher
%{_bindir}/uim-input-pad-ja
%{_libdir}/gtk-2.0/*/immodules/*.so
%{_libdir}/*.so.*
%dir %{_datadir}/uim
%{_datadir}/uim/*
%{_datadir}/locale/*/LC_MESSAGES/uim.mo

%files xim
%defattr(-,root,root)
%doc doc/XIM-SERVER
%{_bindir}/uim-candwin-gtk
%{_bindir}/uim-helper-candwin-gtk
%{_bindir}/uim-xim
%{_sysconfdir}/X11/xinit/xim.d/uim

%files applet
%defattr(-,root,root)
%{_libdir}/bonobo/servers/*
%{_libexecdir}/uim-helper-applet
%{_libexecdir}/uim-toolbar-applet

%files fep
%defattr(-,root,root)
%doc fep/README* INSTALL COPYING
%{_bindir}/uim-fep
%{_bindir}/uim-fep-tick

%files devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/gtk-2.0/*/immodules/*.a
%{_libdir}/gtk-2.0/*/immodules/*.la
%dir %{_includedir}/uim
%{_includedir}/uim/*
%{_libdir}/pkgconfig/*

%changelog
* Tue Mar  1 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.5.1-2m)
- update Source1: prime.scm
- use Source10: uim-0.4.5-ja.po again

* Mon Feb 28 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.5.1-1m)
- version 0.4.5.1
- [SECURITY] http://lists.freedesktop.org/archives/uim/2005-February/000996.html
- BuildPreReq: Canna-devel

* Wed Dec 15 2004 TAKAHASHI Tamotsu <tamo>
- (0.4.5-3m)
- add http://prime.sourceforge.jp/src/prime_2004-12-09.scm

* Fri Nov  5 2004 TAKAHASHI Tamotsu <tamo>
- (0.4.5-2m)
- PreReq: gtk+ (gtk-query-immodules-2.0)
- add /etc/X11/xinit/xim.d/uim
 [see http://tinyurl.com/4lrt9 (anthy wiki (ja))]
 [http://tinyurl.com/57wpl ([Anthy-dev 1136] (ja))]

* Sat Oct 30 2004 kourin <kourin@momonga-linux.org>
- (0.4.5-1m)
- version 0.4.5
- add patches from Vine package
- create uim-fep and uim-xim package and re-divide files
 
* Wed Sep 29 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (0.4.3-2m)
- rebuild against gcc-c++-3.4.1
- add BuildPrereq: gcc-c++

* Wed Sep 29 2004 kourin <kourin@fh.freeserve.ne.jp>
- (0.4.3-1m)
- version 0.4.3
 
* Fri Aug 13 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.2.1-3m)
- -n %%{name}-devel -> devel

* Wed Aug 11 2004 kourin <kourin@fh.freeserve.ne.jp>
- (0.4.2.1-2m)
- add BuildPrereq

* Wed Aug 4  2004 kourin <kourin@fh.freeserve.ne.jp>
- (0.4.2.1-1m)
- version 0.4.2.1
 
* Sat Jul 10 2004 kourin <kourin@fh.freeserve.ne.jp>
- (0.4.0-1m)
- version 0.4.0
 
* Thu Jun 17 2004 kourin <kourin@fh.freeserve.ne.jp>
- (0.3.9-1m)
- version 0.3.9
 
* Fri Mar 5 2004 kourin <kourin@fh.freeserve.ne.jp>
- (0.3.1-1m)
- version 0.3.1
 
* Tue Feb 10 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.8-1m)
- version 0.2.8

* Tue Feb 10 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.7-1m)
- import from cooker

* Fri Jan 30 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.7-2mdk
- use proper build fix

* Thu Jan 29 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.7-1mdk
- new release
- fix build

* Wed Jan 21 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.4-1mdk
- fix group
- fix not localized messages catalog
- add ldconfig call
- fix unpackaged files
- kill useless requires guessed by rpm
- mklibname support
- initial upload based on UTUMI Hirosi <utuhiro78@yahoo.co.jp> work

* Sun Jan 11 2004 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 0.2.4-1
- Version updated.

* Mon Dec 08 2003 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 0.2.0-1
- Version updated.
- Deleted Serial number.
- Added uim.pc file.
* Mon Dec 01 2003 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 0.1.7-1
- Version updated.
- Added uim-helper-toolbar-gtk to filelist.
- Changed URL to http://freedesktop.org/Software/uim.
* Tue Nov 25 2003 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 0.1.6-1
- Version updated.
- Removed Canna-devel from BuildRequires.
* Mon Nov 10 2003 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 0.1.5-1
- Version updated.
* Wed Nov 05 2003 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 0.1.4.1-1
- Version updated.
- Moved libuim.so to devel package.
- Moved uim-helper-server to main package.
- Added uim-helper-candwin-gtk.
* Wed Oct 15 2003 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 0.1.2-1
- Version updated.
* Sun Oct 12 2003 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 0.1.1-1
- Version updated.
* Wed Oct 09 2003 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 0.1.0-1
- Version updated.
- Changed Summary.
- Added documents.
- Divided applet and headers into the other packages.
- Deleted debug info.
* Mon Oct 06 2003 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 0.0.9-1
- Version updated.
* Mon Sep 29 2003 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 0.0.8-1
- Version updated.
* Mon Sep 22 2003 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 0.0.7-1
- Version updated.
* Tue Sep 16 2003 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 0.0.6-1
- Version updated.
* Wed Sep 11 2003 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 0.0.5.1-1
- Version updated.
* Sun Sep 07 2003 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 0.0.4-1
- Version updated.
* Fri Sep 05 2003 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 0.0.3-1
- Version updated.
- Added uim-helper-server and uim-helper-applet to filelist.
* Sun Aug 31 2003 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 0.0.2.1-1
- Version updated.
- Removed uim-comm-client and uim-comm-server.
* Wed Aug 27 2003 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 0.0.1-1
- Version updated.
- Added serial for version number.
- Added uim-comm-client and uim-comm-server.
* Fri Aug 15 2003 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 2013-1
- Version updated.
- Added Japanese locale file.
* Tue Aug 12 2003 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 2010-1
- Version updated.
* Sun Aug 10 2003 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 2005-1
- Version updated.
- Removed --without-canna option at configure.
- Added Canna-devel to BuildRequires.
- Changed command for cleaning rpm_build_root because of the safety.
* Tue Aug 05 2003 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 2002-1
- Version updated.
- Used _prefix variable.
- Added uim-xim.
- Added BuildRequires.
* Sun Jul 05 2003 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 1928-1
- Version updated.
* Sun Jul 05 2003 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 1903-1
- Version updated.
- Added description.
* Sat Dec 07 2002 TABATA Yusuke <yusuke@localhost.localdomain>
- Initial build.
